using ff14bot.Helpers;

namespace RawMeat
{
    public class Logger
    {
        private static string _lastLog;

        internal static void Log(string message)
        {
            var output = "[RawMeat] " + message;
            if (output == _lastLog) return;
            _lastLog = output;
            Logging.Write(output);
        }

        internal static void Log(string format, params object[] args)
        {
            var output = string.Format("[RawMeat] " + format, args);
            if (output == _lastLog) return;
            _lastLog = output;
            Logging.Write(output);
        }
    }
}