﻿using System.Reflection;
using Clio.Utilities;

namespace RawMeat
{
    class FateMapper
    {
        public int Version;
        public LocationMap[] FateLocationMaps;
        public uint[][] FateChainMaps;

        public class LocationMap
        {
            public readonly uint FateId;
            public readonly Vector3 FateLocation;

            public LocationMap(uint fateId, Vector3 fateLocation)
            {
                FateId = fateId;
                FateLocation = fateLocation;
            }

        }
    }
}
